
Foreman - Bug #20490

Audit log does not show complete values for multi-line fields

08/02/2017 01:37 PM - Daniel Kimsey

Status: New   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.14.3

Bugzilla link: 1615769 Red Hat JIRA:  

Pull request:    

Description

The audit log records changes made to Host configurations such as: "Update Override Value: fqdn=my.example.com /

ssh::server_options".

However it only lists the first line of the Value's changes. For multi-line fields this is not useful.

I'd like it to show the complete value of a given field, otherwise there isn't much use in the audit record.

Related issues:

Related to Foreman - Feature #9295: "Update Override Value" - Fields for old ... New 02/09/2015

History

#1 - 01/14/2018 04:23 PM - Tomer Brisker

- Related to Feature #9295: "Update Override Value" - Fields for old and new value are to small if hash (yaml) is used  added

#2 - 08/15/2018 02:02 PM - Marek Hulán

- Bugzilla link set to 1615769

#3 - 08/06/2021 11:31 AM - Leos Stejskal

Hi, it’s been a while since the last update and BZ is resolved as WONT FIX, so I'm closing the issue.

If you think that the issue is still relevant, please feel free to reopen it.
